summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgfmt-14
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msgfmt-14')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/msgfmt-1418
1 files changed, 3 insertions, 15 deletions
diff --git a/gettext-tools/tests/msgfmt-14 b/gettext-tools/tests/msgfmt-14
index da98462..3a44ac7 100755..100644
--- a/gettext-tools/tests/msgfmt-14
+++ b/gettext-tools/tests/msgfmt-14
@@ -3,10 +3,6 @@
# Test msgfmt and msgunfmt on a PO file with contexts.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles mf-14.po"
cat <<\EOF > mf-14.po
msgid ""
msgstr ""
@@ -52,19 +48,13 @@ msgstr "photocopieur"
#~ msgstr "Enregistrer sous"
EOF
-tmpfiles="$tmpfiles mf-14.mo"
: ${MSGFMT=msgfmt}
-${MSGFMT} -o mf-14.mo mf-14.po
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${MSGFMT} -o mf-14.mo mf-14.po || exit 1
-tmpfiles="$tmpfiles mf-14.tmp mf-14.out"
: ${MSGUNFMT=msgunfmt}
-${MSGUNFMT} -o mf-14.tmp mf-14.mo
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < mf-14.tmp > mf-14.out
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${MSGUNFMT} -o mf-14.tmp mf-14.mo || exit 1
+LC_ALL=C tr -d '\r' < mf-14.tmp > mf-14.out || exit 1
-tmpfiles="$tmpfiles mf-14.ok"
cat <<\EOF > mf-14.ok
msgid ""
msgstr ""
@@ -100,6 +90,4 @@ EOF
${DIFF} mf-14.ok mf-14.out
result=$?
-rm -fr $tmpfiles
-
exit $result